AutoCAD Inventor :: Replace Single Occurrence Of Multiple Instances?
Dec 20, 2012
I have a door with 3 of the same handle. I have a program in which the user selects 1 of the handles to turn it into a keyed handle. Now, this all works but the problem is that all of the 3 regular handle instances will be replaced with the keyed handle.
Dim oOccHandle As ComponentOccurrence = oINV.CommandManager.Pick(SelectionFilterEnum.kAssemblyOccurrenceFilter, "Select a door handle to replace.")
oOccHandle.ReferencedDocumentDescriptor.ReferencedFileDescriptor.ReplaceReference(PathToKeyedHandleModel)
View 1 Replies
ADVERTISEMENT
Sep 10, 2012
I need to rename and replace occurences in an assembly, then modify the occurence name.I rename and replace only Farme generator components, which is tested by <condiftion>.What I want to do :
- Num = ABC
- Original filename = toto.ipt
- New filename = ABC_toto.ipt, and Occurence name = ABC_toto
The code :
fileDir contain the file path
docFName contain the original file name (for example, toto.ipt)
Num contain the prefix to add to the name and the occurence name (for example, ABC)
If <condition>Then
New_name = fileDir & Num & "_" & docFName
Call oFileNameOcc.SaveAs(New_name, True)
Call oOccurrence.Replace(New_name, False)
oOccurrence.name = Num & "_" & oOccurrence.name
End If
The problem is, the first time I use the macro, the prefix is added twice in the occurence name (the filename is ok) : I obtain ABC_ABC_toto. This happen only the first time, and only on an orrignal Frame Generator assembly.
If I use the macro again, with for example Num = 123, the result is : 123_ABC_ABC_toto.Where is the problem ?
View 7 Replies
View Related
Feb 22, 2013
is there a way to Replace the "bolt" Component Occurrence with api?
View 2 Replies
View Related
Feb 6, 2013
I created a clothing price tag design (consisting of some vector artwork, text, and a raster image as a background), and now i'm attempting to create a grid layout of the tags for print (20 tags on a letter-size page i can print using a desktop printer and cut apart manually).
Sounds simple enough, right? Just duplicate the artwork 20 times. Easy.
But here's the catch: 20 copies of the artwork (i.e. 20 copies of every point, line, object, and image) makes for a freaking huge file, too big for the printer to handle. It gets acceptably smaller if i save it as a PDF without preserving Illustrator editing capabilities, but then that defeats the purpose; i need to be able to change the prices at will.
Now, it would seem to make the most sense to save the individual tag design as its own AI file (let's call it 'tag-design.ai'), then simply Place tag-design.ai into a new file as a link, and duplicate it 20 times to create the print layout. Theoretically, i would only need to edit the artwork itself once (to change the price, change a color, etc.), and the changes would be automatically applied to my layout file. However, this is apparently too much to ask: each time the linked artwork is copied, it creates a new, separate link. To further frustrate things, when i edit the artwork file, i then have to update all 20 links manually, meaning that 20 different times, i get an Open File dialog, and have to select tag-design.ai 20 separate times. In the end, it's an exercise in extreme redundancy, and the file size of the layout isn't made any smaller.
Is there something i'm overlooking, or is there really no better, more efficient solution than just making 20 copies of everything and ending up with a file size of 80-90mb?
View 4 Replies
View Related
Apr 14, 2006
Up until now, I've been using Paint.NET as my main paint program. It worked well enough but had a few specific limitations that forced me to request the company I work for to purchase Photoshop CS2, which they did. In fact, the IT dept just finished installing it.
I'd like to have a single text layer with multiple instances of text, but everytime I go to add additional text, CS2 "conveniently" creates a new layer for me. Is there any way to tell CS2 to "Stop that!" and let me create as many individual instances of text on one layer as I want? I am labeling buildings/roadways on aerial photos and don't need to have 40-50 text layers per photo.
View 5 Replies
View Related
Mar 2, 2012
I am wondering when in the idw and have multiple parts some the same and some different. I would like to distinguish between each part as a different part or balloned so they all have a different ref number.
example: have part A and part B and part C
part A has three different instances in the iam
part B has two
part C has four
How do I represent them in parts list and ballooning as different single instances?
part A- ballooned like- 1, 2, 3
part B- ballooned 4,5
part C- ballooned 6,7,8,9
View 2 Replies
View Related
Apr 18, 2013
I'm designing a part that in Autodesk Inventor 2013 that is constructed from several layers laminated together. I have 4 layers:
F (front)
M1 (middle, variation one)
M2 (middle, variation two)
B (back)
The final solid will lhave 17 layers laid out like this:
F | M1 | M2 | M1 | M2 | M1 | M2 ... | B
I currently have a part file containing
F | M1 | M2
What's the best way to create this solid if I want to a) keep all instances of M1 and M2 in sync, and b) make it easy to work on all 4 layers. Do I have to export F, M1, M2, and B as individual parts and import them into an assembly or can I keep them in one part file? I really like the ability to be able to work on all the solids at the same time because they're visually dependant on each other.
View 4 Replies
View Related
Mar 27, 2012
How can I make a circular pattern of a single occurence of a rectangular pattern?
A shaft has a rectangular pattern of holes (along its axis) on its surface. I want to pattern the 4th occurence of this hole pattern as a circular pattern? Can I do it in Autodesk. I can not select the a specific occurance of a patterned feature to pattern it again.
View 9 Replies
View Related
Aug 9, 2012
Basically I want to place parts and have them automatically connect to each other based on pre-existing UCSs on the assemblies. I have a 'ucs_in' and a 'ucs_out' on each assembly. I want the inserted component to perform a transformation to make the new occurrence's ucs_in to "mate" to the previous occurrences ucs_out. By mate I mean their center points are at the same location and all axes are pointing in the same direction. I have included screenshots to show what I'm working with and what I am trying to accomplish. I have also attached the project files.
Below is my attempt at the code to do this. My experience with transformations is limited so I may be way off from where I need to be.
Sub UcsMate() Dim doc As AssemblyDocument Set doc = ThisApplication.ActiveDocument 'assuming both occurrences are already in the assembly and both have 2 UCS, "ucs_in" and "ucs_out" Dim occ1 As ComponentOccurrence Dim
[Code]....
View 3 Replies
View Related
Jan 3, 2013
As the subject line says, when multiple instances of Inventor are open on the same machine, the addin will only show in the first one. I do not see any errors generated and tried many approaches. I tried to use the ribbon abpannelcontrol
created by the first instance. Or in every subsequent instance of Inventor to delete the existing ribbon abpannelcontrol, and recreate them from scratch. Both approaches did not work.
View 3 Replies
View Related
Feb 28, 2011
How do I prevent Inventor from opening files in new Inventor sessions?
If I try to open a file from Windows Explorer or from an email attachment, it opens it up in a brand new Inventor session, even if I already have Inventor open.
If I select two or three files in Windows Explorer or from an attachment to open, it opens them all in individual new Inventor sessions.
I would like to set Inventor (or Windows) so that these files open in the already existing session or at least the same session as each other. I didn't have this problem before upgrading to a new computer and reinstalling.
View 3 Replies
View Related
Aug 22, 2013
From a main assembly I am trying to change the visibility of occurence that are in a sub assembly. But everytime I change the visibility using the designviewrepresentation.setvisibilityofoccurrences(), that change the visibility of those occurrences in the other sub-assembly. Of course, if I do it thought the interface that works great. Anyone did something with changing visibility of sub component.
View 1 Replies
View Related
Aug 26, 2013
I use a "dump assembly" of assemblies to create cut lists. I throw in multiple copies of each assembly for the job. Sometimes it can be 100 or so of each.These are not placed in any way and could be all placed at the origin. This is only for the parts list and servers no other function.
Any way to place multiple instances of an assembly at once?
View 9 Replies
View Related
Jan 4, 2012
I have an assembly with multiple instances of a subassembly. I'd like to remove the subassembly and place the subassembly components (i.e. multiple instances) in the main assembly. When complete, the top assembly would have multiple instances of all the subassembly components.
Component promote seems like the right way to do this. So, I selected an instance of one of the subassemblies components and promoted it. That component was promoted, removing it from the subassembly as placing it in my top level assembly.
However, all the other instances of that component disappear (which makes sense since that component is no longer in the subassembly). Unfortunately, this means I have to assemble and constrain all the other instances that disappeared.
View 3 Replies
View Related
Jul 22, 2009
So a quick search came up with "don't open from the Vault; open from within Inventor."
Lets not have that arguement.
My office just upgraded from Inventor 2009 to Inventor 2010. 3 seats, all installed the same way. When the other two users open something from the Vault, and then open a 2nd file (be it a drawing/part/assembly), it opens as a new window within the same Inventor session. (Just like it used to in .../2008/2009).
When I open from the Vault, it starts a new session of Inventor. This is frustrating, when you have an assembly open, modify a bunch of components, and then want to open their respective drawings to update them... the drawings will open in new sessions when opened from the Vault.
Obviously I've got something changed somewhere. Quick search through the Inventor options came up with nothing. Vault options?
Please don't tell me to start opening files from inside Inventor... that's a waste of my time... and everything has worked fine until this fresh install of 2010.
View 9 Replies
View Related
Nov 26, 2011
Im struggling with the correct use of symbol / symbol items in applescript. I can successfully list the symbols used on the page, but I cannot select them. How I can select all the items on the page that are Symbol Items of symbols named "Apples" but not oranges? After that I hope to replace the instances matching the height or width of the items whichever is greater with a 3rd item name. Javascript is always an option as well but I had the same difficulty.
View 14 Replies
View Related
Jan 5, 2014
So I have been going round and round in circles on this one iam trying to use replace component within ilogic which is fine with switching one part for another but I want a drop down of parts so it replaces which ever one is active the problem I am having is establishing which one is active. So below is what I have so far but the problem is you cant seem to reference a part that is not in the assembly so I keep getting the error
The component named "Flange 1" was not found for example. I just need a way of establishing which one is currently in the assembly but with out referencing components that are not there.
If Component.IsActive("Flange 1")=True Then current = 1
If Component.IsActive("Flange 2")=True Then current = 2
If Component.IsActive("Flange 3")=True Then current = 3
If part = 1 And current = 2 Then Component.Replace("flange 2", "Flange 1.ipt", True) End If
If part = 1 And current = 3 Then Component.Replace("flange 3", "Flange 1.ipt", True) End If
If part = 2 And current = 1 Then Component.Replace("flange 1", "Flange 2.ipt", True) End If
If part = 2 And current = 3 Then Component.Replace("flange 3", "Flange 2.ipt", True) End If
If part = 3 And current = 1 Then Component.Replace("flange 1", "Flange 3.ipt", True) End If
If part = 3 And current = 2 Then Component.Replace("flange 2", "Flange 3.ipt", True) End If
View 4 Replies
View Related
Sep 16, 2011
I design press tools. Is there any ways in inventor 2012, where I can have only one common sketch in zero height and extrude profiles in different heights. Like plate no 1 @100 to 120mm (in vertical axis. A 20mm thick plate placed at 100mm above zero plane.) and plate no 2 in 150 to 175mm height and so on.
View 6 Replies
View Related
Nov 8, 2013
How to use a single sketch for multiple extrusions, i would create all the holes and everything in one sketch and i could reuse that sketch again and again.i totally forgot how to do this.
View 2 Replies
View Related
Jan 9, 2012
A quick way to add a single column to multiple items in the Content Center? The column would be the same across the board, and I really don't want to edit several hundred family tables one at a time if I don't have to.
View 2 Replies
View Related
Feb 5, 2013
I need to connect to specific instances of AutoCAD and Plant3D. The Running Object Table (ROT) only holds one instance so GetObject wont work.
I've tried getting the correct instance using the hwnd with the AccessibleObjectFromWindow function. I'am thinking the easiest way is to autoload a plugin to communicate with, maybe through a service.
View 8 Replies
View Related
Dec 14, 2011
How to save IDW's with multiple sheets in to 1 single CAD file
I have IDW's whith lots of sheets and when saved to cad, I got multiple files and I always end up doing copy paste to create a single file
View 5 Replies
View Related
Oct 29, 2012
I discovered the TXT2MTXT command and how wonderful it is, but there is one thing missing. Is it possible to change multiple texts, but separately WITHOUT having to re-issue the command? I've experimented with some of the in command options, but unless I'm missing something, nothing seems to work.
Preferably, I would like it to work like the FILLET -> Multiple command, so I could select a group of texts, convert them then select another group etc, but the 'multiple' option in TXT2MTXT does not work in such a way.
View 5 Replies
View Related
Jul 17, 2012
I would like to know if it is possible to have a single attribute fill multiple strings of text. I have text that appears in more than one spot in a block of mine but when inserting the block i would like to be prompted once to fill the attribute.
View 1 Replies
View Related
Jul 3, 2013
Is it possible to create multiple frames in a single assembly environment? (i.e. Frame0001, Frame0002)
The members all lump together in one Frame regardless of when they are created in the workflow.
I know there is a workaround for this by making each frame in its own assembly...but that will be more cumbersome than it is worth in this application.
Right now I have just created folders in the Frame0001 to sort things out, but the folders are not very flexible as far as moving things in and out or reordering...it is a pain.
I've used the Frame generator to create my existing building columns, existing platform columns, and existing handrail. I'll be using the frame generator pretty soon here to build a new platform, which I would love to keep separate from the existing steel.
I suppose I could save the current assembly and insert it into a new one so I can add the new equipment, but I'd rather avoid large subassemblies like that. Seems like it would be a lot easier to just have an option to create Frame0002.
(Inventor Professional 2014 Update 1, Windows 7 Professional)
View 7 Replies
View Related
Aug 2, 2008
I have a block with an attribute and need to change the first three characters of each to a different two characters. I recall my instructor once showing me how i could do this easily without having to click on each block to change the attribute.
View 2 Replies
View Related
Aug 2, 2013
Can Dynamic Simulation drive multiple variables with a single parameter? In the following example, the variables len_A and len_B are driven by size. The parameter "size" varies from .8 to 1.2 (currently I have size parameters in a Multi-Value List).
Is there a way Dynamic Simulation can drive the "size" parameter to animate the assembly? I plan to use Dynamic Simulation's Output Grapher to Plot a Trace of the triangle's apex as A and B vary in length. The example assembly is attached.
View 4 Replies
View Related
Apr 26, 2013
I use flat piano hinges on doors for many of the machines we build. I would like to be able to calculate the total length of multiple doors on a single machine. We buy these hinges so it needs to go on a buy out parts list.
So here is my problem:
To make it a useable hinge I build an assembly from two hinge halves.
This allows me to check for interference within the machine when the door gets opened.
I set the BOM structure of the assembly to purchased so it shows up on my buy out list.
Both halves of the hinge are set to normal.
There are hinges of different lengths on the same machine.
I can link a parameter of one of the halves to the assembly to show length of the hinge but I cannot set the BOM base qty on the assembly to that parameter so Inventor can add up the lengths.
When I group the items in a buyout parts list the result is "0." The individual assemblies show the correct length because I use the "length" parameter that is linked for the QTY in the parts list. But I cant "add" the lengths and have a total whe I group them.
I need to have mixed units in this list. Some things are bought as Each and these hinges are bought in length.
View 1 Replies
View Related
Feb 5, 2013
I have one large assembly for hose routing it consists of around 1000 hoses all hoses are coming in main assembly but delivery date is very short. My plan is work on same assembly 5 people how it works?
One idea is like working in sub assemblies but in my case only one assembly consist of all hoses.
How to work multiple users in single assembly file at same time. like in solid works enable collabarative mode.
View 2 Replies
View Related
Dec 18, 2011
I need multiple (say two) instances of the same text values (in the same drawing) but in different formats.
Consider this: I have a drawing sheet with a title block that contains the drawing number and the author's name at the bottom with some other drawing details. Now I wish to have these "values" arranged in a matrix form at the top also, for indexing purpose.
TitleBoxMonoSpace.png
One way is to manually enter each value, one by one, in the matrix box but that would be too time consuming. So, is there a way to automate this; where I can enter the values in the bottom title block, which would automatically update the above matrix?
I believe it can be done using a combination of Attributes and Fields but am just not getting it. To make the issue even worse, I need Numbers without hyphens (-) and only Initials of the author's name!
View 2 Replies
View Related
Aug 5, 2011
I'm having difficulty making a change to multiple texts. I received a drawing from another firm that uses different text styles than my firm. I can change all the text styles to mine, but they all hold onto their original fonts. How to change the fonts in multiple instances.
View 3 Replies
View Related